removed old and obsolete packages

This commit is contained in:
Manuel Friedli 2014-01-03 00:32:57 +00:00
parent 5af4d9f1b3
commit fa66bba4b6
28 changed files with 0 additions and 1241 deletions

View File

@ -1,8 +0,0 @@
AUX maniadrive-1.1-no-download.patch 3039 RMD160 2387f9ca35a813d24b3cda84c7d0f8523000ccd7 SHA1 81d73b3216aca88de93655876c47a783dd0e26aa SHA256 d98137b4b997cceff7c11434080d865b2d13cf1853c0ec272e30329ea018627b
AUX maniadrive-1.1-ocomp-fix.patch 754 RMD160 e53afbba98fcecd9b819012eb52000a91527bd5a SHA1 505bd572245ee67872e82248c2285f8dd3d1bedf SHA256 a96595e98ba306a3969ee82a796e7e0283902dff9c9292aef5f2131c34b95e3c
AUX maniadrive-1.1-remove-openal-test.patch 1506 RMD160 bc61d263241d16a6c4f714549fc19d2987dd5050 SHA1 f2e43fb1c06373963daa38b9162d1712e32b9c82 SHA256 6c0f90612412f5f0662d6f22400ae9dd3992b4c9405b5bd0cc28ee2c02365127
DIST ManiaDrive-1.1-linux-i386.tar.gz 60260833 RMD160 50d38937d770e4bd5462f1cd045574d6903f5e35 SHA1 f04b5f81f5ced8de21ae9e1846cb6bbd8d029376 SHA256 4e3e2257b0f901e2976d8ea26265a3f8c2a7295d224f64637980f981357186f6
DIST ManiaDrive-1.2-src.tar.gz 263834 RMD160 09f94f7c2936a2ad5c52742fe9456f892988da46 SHA1 7c31120127eb30c46bbe439e703457fd02230376 SHA256 ffa8bafe3b2e796602e2dd462d4d0fdff2cbf43388d1bae029487b7f17e68b84
DIST ode.tar.gz 150748 RMD160 4b76b36debf363c2e5e5461672dd228f066204c7 SHA1 3aa849ab3a465dedac01788c21fea5c63c74a4b4 SHA256 5a0f868969be62c6c6d7575ed2fefa637299055c216b30b85a828a99c24478c3
DIST php5.2-latest.tar.gz 9444643 RMD160 2352d07ef35319bc59b55e1b8da8508242a405ae SHA1 ea63cb882f097a2b2a3d782e76ce351ed635932d SHA256 ec8b9b2350eb1a65911c34c603c30ee8a8eb850a6c42c963a6a6c9d72158ede0
EBUILD maniadrive-1.2.ebuild 2200 RMD160 f20350e98375896588f8e6a0d95ca16e1d9cce98 SHA1 aac5f1e792bb200854a68c913362f89c42c1ac6a SHA256 7ec1d5ed0e76c388319303d78b2fae7559cc54c7b0c088e4503806b3784f5610

View File

@ -1,103 +0,0 @@
--- configure.old 2006-08-18 23:12:18.000000000 +0200
+++ configure 2006-08-19 00:56:59.000000000 +0200
@@ -60,6 +60,7 @@
echo " --force-php-install Force PHP 5 local reinstall"
echo " --ode-cvs Use ODE CVS version"
echo " --disable-x Disable X/GL/GLU test (server)"
+ echo " --no-download Disable ode and php5 download"
exit 0
}
@@ -88,12 +89,18 @@
cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/opende co -r UNSTABLE -P raydium/ode
exit_if_error "$?" "CVS server error ? Try manual install (http://ode.org)"
else
- echo " Downloading 'stable CVS' version from Raydium website ..."
- if [ -f "raydium/ode.tar.gz" ]; then
- rm -f raydium/ode.tar.gz
+ if [ $no_download = "true" ]; then
+ if ! [ -f "raydium/ode.tar.gz" ]; then
+ exit_if_error "1" "ode.tar.gz must be present in the raydium directory when using --no-download"
+ fi
+ else
+ echo " Downloading 'stable CVS' version from Raydium website ..."
+ if [ -f "raydium/ode.tar.gz" ]; then
+ rm -f raydium/ode.tar.gz
+ fi
+ wget -O raydium/ode.tar.gz http://freeway.raydium.org/data/stable_mirrors/ode.tar.gz
+ exit_if_error "$?" "Error downloading."
fi
- wget -O raydium/ode.tar.gz http://freeway.raydium.org/data/stable_mirrors/ode.tar.gz
- exit_if_error "$?" "Error downloading."
# uncompress
echo " Uncompressing ..."
@@ -180,9 +187,15 @@
exit_if_error "$?" "xml2-config not found in path. Please install 'libxml2-devel' to compile PHP"
# download
- echo " Downloading latest PHP5 ..."
- wget -O raydium/php-latest.tar.gz http://snaps.php.net/php5.2-latest.tar.gz
- exit_if_error "$?" "wget not found, or network error"
+ if [ $no_download == "true" ]; then
+ if ! [ -f "raydium/php-latest.tar.gz" ]; then
+ exit_if_error "1" "php-latest.tar.gz must be present in the raydium directory when using --no-download"
+ fi
+ else
+ echo " Downloading latest PHP5 ..."
+ wget -O raydium/php-latest.tar.gz http://snaps.php.net/php5.2-latest.tar.gz
+ exit_if_error "$?" "wget not found, or network error"
+ fi
# uncompress
echo " Uncompressing ..."
@@ -228,37 +241,28 @@
####### Main
+
+ode_cvs="false"
+disable_x="no"
+force_ode="false"
+force_php="false"
+no_download="false"
+
for i in "$@"; do
if [ $i = "--help" ]; then
usage_print
fi
-done
-
-ode_cvs="false"
-for i in "$@"; do
if [ $i = "--ode-cvs" ]; then
- ode_cvs="true"
+ ode_cvs="true"
fi
-done
-
-disable_x="no"
-for i in "$@"; do
if [ $i = "--disable-x" ]; then
- disable_x="yes"
+ disable_x="yes"
fi
-done
-
-force_ode="false"
-for i in "$@"; do
if [ $i = "--force-ode-install" ]; then
- force_ode="true"
+ force_ode="true"
fi
-done
-
-force_php="false"
-for i in "$@"; do
- if [ $i = "--force-php-install" ]; then
- force_php="true"
+ if [ $i = "--no-download" ]; then
+ no_download="true"
fi
done

View File

@ -1,17 +0,0 @@
--- ocomp.sh.old 2006-08-19 01:46:14.000000000 +0200
+++ ocomp.sh 2006-08-19 01:48:12.000000000 +0200
@@ -3,12 +3,10 @@
# Small and ugly "static compiler" for Raydium apps, with ODE
# Use "./ocomp.sh test6.c" for example.
+OUTPUT_FILE=`echo $1 | cut -f1 -d.`
ulimit -c 0
-rm test
-gcc -g $1 -Wall -o test -L/usr/X11R6/lib/ -lXinerama -lGL -lGLU -lm -lopenal -lalut -ljpeg \
+gcc -g $1 -Wall -o $OUTPUT_FILE -L/usr/X11R6/lib/ -lXinerama -lGL -lGLU -lm -lopenal -lalut -ljpeg \
-Iraydium/ode/include/ raydium/ode/lib/libode.a -lvorbis -lvorbisfile -logg \
-Iraydium/php/ -Iraydium/php/include -Iraydium/php/main/ -Iraydium/php/Zend -Iraydium/php/TSRM raydium/php/libs/libphp5.a \
-lresolv -lcrypt -lz -lcurl -lxml2 -lGLEW
sync
-shift
-./test "$@"

View File

@ -1,54 +0,0 @@
--- configure.old2 2006-08-19 02:54:26.000000000 +0200
+++ configure 2006-08-19 02:56:59.000000000 +0200
@@ -339,51 +339,6 @@
exit_if_error "$?" "You must install libglew devel package"
-# OpenAL
-file="
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
-#include <time.h>
-#include <stdio.h>
-#include <stdlib.h>
-#include <sys/time.h>
-#include <sys/types.h>
-#include <unistd.h>
-int main(int argc, char **argv) {
-ALCdevice *dev;
-const ALubyte *initstr=(const ALubyte *) \"'( ( devices '( native null ) ) )\";
-dev=alcOpenDevice(initstr);
-sleep(1);
-alcCloseDevice(dev);
-return 0; }"
-test_build "OpenAL" "$file" "-lopenal"
-exit_if_error "$?" "openal-devel is required. Official CVS may be a good idea"
-
-# OpenAL 1.1
-file="
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
-#include <time.h>
-#include <stdio.h>
-#include <stdlib.h>
-#include <sys/time.h>
-#include <sys/types.h>
-#include <unistd.h>
-int main(int argc, char **argv) {
-ALCdevice *dev;
-const ALubyte *initstr=(const ALubyte *) \"'( ( devices '( native null ) ) )\";
-dev=alcOpenDevice(initstr);
-sleep(1);
-#ifndef ALUT_API_MAJOR_VERSION
-#error ALUT for OpenAL 1.1 is required
-#endif
-alcCloseDevice(dev);
-return 0; }"
-test_build "OpenAL 1.1 and ALUT" "$file" "-lopenal -lalut"
-exit_if_error "$?" "Cannot find OpenAL 1.1 and ALUT. You can try to remove -lalut from Makefile and/or *comp*sh scripts, but Raydium with OpenAL 1.0 is not supported."
-
# OGG/Vorbis
file='
#include <stdio.h>

View File

@ -1,89 +0,0 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit eutils games
SRC="ManiaDrive-${PV}-src"
PHP="php5.2-latest.tar.gz"
# we keep the old binary package because there is no change in data
# MAIN="ManiaDrive-${PV}-linux-i386"
MAIN="ManiaDrive-1.1-linux-i386"
ODE="ode.tar.gz"
DESCRIPTION="ManiaDrive is a clone of Trackmania: 3D, stunts and skills!"
HOMEPAGE="http://maniadrive.raydium.org/"
SRC_URI="mirror://sourceforge/${PN}/${MAIN}.tar.gz
mirror://sourceforge/${PN}/${SRC}.tar.gz
http://freeway.raydium.org/data/stable_mirrors/${ODE}
http://snaps.php.net/${PHP}"
LICENSE="CCPL-Attribution-2.0
GPL-2"
SLOT="0"
KEYWORDS="~x86"
IUSE=""
DEPEND="media-libs/openal
virtual/glu
media-libs/jpeg
media-libs/libvorbis
media-libs/glew"
S=${WORKDIR}/${SRC}
RAY=${S}/raydium
dir=${GAMES_DATADIR}/${PN}
src_unpack() {
unpack "${MAIN}.tar.gz"
unpack "${SRC}.tar.gz"
# Copy ode and php tarballs
cp "${DISTDIR}"/{"${ODE}","${PHP}"} "${RAY}" || die
mv "${RAY}"/{"${PHP}",php-latest.tar.gz} || die
# Delete binary files
rm "${WORKDIR}/${MAIN}"/game/*.static
# Copy game data in build directory
cp -r "${WORKDIR}/${MAIN}"/game/* "${S}" || die
cd "${S}"
epatch "${FILESDIR}/${PN}-1.1-no-download.patch"
epatch "${FILESDIR}/${PN}-1.1-ocomp-fix.patch"
epatch "${FILESDIR}/${PN}-1.1-remove-openal-test.patch"
# Change version to allow to send scores
sed -i "s/ManiaDrive ${PV}custom/ManiaDrive ${PV}/" mania_drive.c \
|| die 'sed failed'
}
src_compile() {
addwrite /dev/nvidiactl
addwrite /dev/nvidia0
econf --no-download || die "econf failed"
emake || die "emake failed"
# The Makefile compiles only the engine (raydium).
# We can compile the game binaries with the ocomp script
# (static using ode).
local f
for f in mania{_drive,_server,2}.c ; do
./ocomp.sh "${f}" || die "ocomp.sh ${f} failed"
done
}
src_install() {
local f
for f in mania{_drive,_server,2} ; do
newgamesbin "${S}/${f}" "${f}.bin" \
|| die "newgamesbin ${f} failed"
games_make_wrapper "${f}" "${f}.bin" "${dir}"
done
insinto "${dir}"
doins -r "${WORKDIR}/${MAIN}"/game/*
dodoc "${WORKDIR}/${MAIN}"/README
}

View File

@ -1,2 +0,0 @@
DIST zattoo-4.0.5-i386.deb 19386988 RMD160 9278d5a164137d3a10ef96d2781e1625a30ae1c9 SHA1 753d58dde5cb6a1a6bd1035d23e920b0004d25aa SHA256 c47b80a3d14a4a1676aae7ad7e3cc52b8ef7d93ca07fdb69d3d4c40885e6c9a7
EBUILD zattoo-4.0.5.ebuild 970 RMD160 4a2dd6b9e3c8796c2364bca1c91dfe58acb6424d SHA1 e32074a0250859ca9a32ccafe835f61d68a7ffaf SHA256 42e9c95c31af6b1c77bb8c489240a02034b2fad18e9558c8707799bb2ea79e02

View File

@ -1,44 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=3
inherit eutils
DESCRIPTION="watch real-time TV on your computer"
HOMEPAGE="http://zattoo.com"
SRC_URI="http://download.zattoo.com/${P}-i386.deb"
LICENSE=""
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="app-arch/deb2targz"
RDEPEND="www-plugins/adobe-flash[32bit]
x86? (
x11-libs/qt-core
x11-libs/qt-gui
x11-libs/qt-xmlpatterns
x11-libs/qt-webkit
)
amd64? ( app-emulation/emul-linux-x86-qtlibs )"
QA_PRESTRIPPED="usr/bin/Zattoo"
src_unpack() {
unpack ${A}
tar xf data.tar.gz || die
}
src_prepare() {
sed -i -e 's:Icon=.*:Icon=/usr/share/pixmaps/zattoo.png:' usr/share/applications/zattoo_player.desktop || die
}
src_install() {
dobin usr/bin/Zattoo || die
newmenu usr/share/applications/zattoo_player.desktop zattoo.desktop || die
newicon usr/share/zattoo_player/resources/images/zattoo_icon.png zattoo.png || die
}

View File

@ -1,12 +0,0 @@
AUX jabberd2-2.2.1.init 1625 SHA256 23c37f789d84575824a3cd8d009c88e7035ca1222cdb24e0c8437e1a6e55bec1 SHA512 a910b391be0deb85319563e07d74d0442c3accc1ec24b5ee9235d869b759576e0cae9c947b948d0a4735703177eb4baa5eb23d86f29c5134ef491e12a51c9505 WHIRLPOOL 48cd1a62ee3e123495429809c7ab7ee62c48ab4b2edab1c9523684371a9f5ebd8261b8a93136b3aa9d126cb3773d0d85acb1fc5113f9e88cdeb82f9c02ab06bf
AUX jabberd2-2.2.1.pamd 158 SHA256 eba4b5cc68b3dd327cfa1afdadbe5adf6d9383f4c79c7661169a4339e40b9a7b SHA512 a52bec9577f028f1141002d0ffaaf11615699a67a7b3677774d7e8aa6595c8291cb6ebcdc0f874e54f700e3b437ae05e05b8d7c8c717dee15cb7d908a954b979 WHIRLPOOL 2289538542300efe78a261285359c6e5ad9151cc01123e3c5579cc72393ce94308d713e38d73bc418c5bc9d7f7a200469568b7b3187b576b3efa8efa19dda919
AUX jabberd2-2.2.17.init 1781 SHA256 004ff343acfce247f9f9fc89699340ab3c149f1a67bcb6e71a17ea565d321539 SHA512 cd25fc9cb1db6b55c295b724ccb163cff24adc3cc92b580e7b7d7fb797074c922a5b0d9d95a7bff18b36b0c925c7aaf5afeeb4957112fb36f4726567e8cc8443 WHIRLPOOL 93c7b752b6748eea02652d6073866388fd4532274bbd32f4cd9b75252bc5cb3a7a26d3bf64713d14b4065caab85dfd13fbdf75bf3a5fcdb58eda5c67982d0775
AUX jabberd2-2.2.17.pamd 158 SHA256 eba4b5cc68b3dd327cfa1afdadbe5adf6d9383f4c79c7661169a4339e40b9a7b SHA512 a52bec9577f028f1141002d0ffaaf11615699a67a7b3677774d7e8aa6595c8291cb6ebcdc0f874e54f700e3b437ae05e05b8d7c8c717dee15cb7d908a954b979 WHIRLPOOL 2289538542300efe78a261285359c6e5ad9151cc01123e3c5579cc72393ce94308d713e38d73bc418c5bc9d7f7a200469568b7b3187b576b3efa8efa19dda919
AUX jabberd2-2.2.4.init 1625 SHA256 f01a66b3303f1ac366492e913a82952996b75619335ae210357e43e4fbed37a7 SHA512 df57e053ca7e4a8af841d659295ea4a5d747b21b6ae49f238a66cb7583e6cee6e50b5ad2781c42bda142a16e6bc9bce1aecfb12bec4b1974b652639f1e164ee8 WHIRLPOOL 3c56c3f588048db901dcf20554387e303df0876d9a6962406568e4a061854930f8b1b539d8b1a35ba1a175c2f4ba39929709ab009a8a529bc161a6bd19adad5d
AUX jabberd2-2.2.4.pamd 158 SHA256 eba4b5cc68b3dd327cfa1afdadbe5adf6d9383f4c79c7661169a4339e40b9a7b SHA512 a52bec9577f028f1141002d0ffaaf11615699a67a7b3677774d7e8aa6595c8291cb6ebcdc0f874e54f700e3b437ae05e05b8d7c8c717dee15cb7d908a954b979 WHIRLPOOL 2289538542300efe78a261285359c6e5ad9151cc01123e3c5579cc72393ce94308d713e38d73bc418c5bc9d7f7a200469568b7b3187b576b3efa8efa19dda919
AUX jabberd2-2.2.5.init 1622 SHA256 0f89246b7240f7f4ce528734a054d32bb63c7195c4a278362265ed818d6049e3 SHA512 e207bc463ae5248ad35197fced982be62ca860fc079a778c0c20ac4e51b4f825820ecb0d69a0a33013d02d30cfcea8f2fa265a4a54a1af565182087fe6cc6327 WHIRLPOOL 7ee7f65ab2d409333b1d96911ef49ff6e5019e4bfa1b6d69e86cf18eec07f072099055edf9a53656978f5ca597e13f30eb50162025cab60bb41e8fe95e831934
AUX jabberd2-2.2.5.pamd 158 SHA256 eba4b5cc68b3dd327cfa1afdadbe5adf6d9383f4c79c7661169a4339e40b9a7b SHA512 a52bec9577f028f1141002d0ffaaf11615699a67a7b3677774d7e8aa6595c8291cb6ebcdc0f874e54f700e3b437ae05e05b8d7c8c717dee15cb7d908a954b979 WHIRLPOOL 2289538542300efe78a261285359c6e5ad9151cc01123e3c5579cc72393ce94308d713e38d73bc418c5bc9d7f7a200469568b7b3187b576b3efa8efa19dda919
AUX jabberd2-2.2.8.init 1625 SHA256 38e08cc155b9a7f7781a3255f7a1bbb885fed9eb22d72a37349b5f7790cf1689 SHA512 02ef6d0c67291a9d7f7fc313c3e075fbca9d8bf7d74a63fb8326d112f90657e39828eb47220eaceecc58e56452bbbf3303f00e26c0a8e03473b8f47664687129 WHIRLPOOL 0ef41ded73116611910d5156c43d68abae44898d4c3b87198adc1e94fe3a4ce51a77850fabf4d662d1beaefd6757095d6753a3cc4a7f5d5698922bd463f6a383
AUX jabberd2-2.2.8.pamd 158 SHA256 eba4b5cc68b3dd327cfa1afdadbe5adf6d9383f4c79c7661169a4339e40b9a7b SHA512 a52bec9577f028f1141002d0ffaaf11615699a67a7b3677774d7e8aa6595c8291cb6ebcdc0f874e54f700e3b437ae05e05b8d7c8c717dee15cb7d908a954b979 WHIRLPOOL 2289538542300efe78a261285359c6e5ad9151cc01123e3c5579cc72393ce94308d713e38d73bc418c5bc9d7f7a200469568b7b3187b576b3efa8efa19dda919
DIST jabberd-2.2.17.tar.gz 636543 SHA256 2f14860928b4ef8ad0ed49a24d6946db48d64166fa08a7cacd22e0cd7ad45843 SHA512 f9e637868ed147f92445b58c4ecd5b38a36e52e7b32a07ce37778781c50eb84dbe4436929cbf39d814c92b473fa62ddabbd55015ffda9320580f59b882970017 WHIRLPOOL cdb8d917f8f8c4e722ef6526e8aa83bf8eb729f6cc7a1056bc36efb7a7a8aaa91b66c5305a6a14cce834d350f1c64adb8646800686f995b817edc5b5c0a11174
EBUILD jabberd2-2.2.17.ebuild 3037 SHA256 b96e6523822fa4f7fa5000d37db9e1eebb761c89f0953c047485c5d96b6c132a SHA512 5bf8a20aae8a4d6e5a342136e2fc92153b42f2e259674b98c88935f415765cec4a363140f89bac892c144c3974751de47330bb02b6bedb67a0f3cf765040a120 WHIRLPOOL efdc3fafd5660fcf62fb4ace3bd9f2552001a637cc1920a9d67131e20dee8b0217ef6ae7dfdcebfc6c043de3cbe95cb903062c3c6f7a08aae7e07e1ed5327083

View File

@ -1,77 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/jabberd2/files/jabberd2-2.2.1.init,v 1.1 2008/07/30 11:34:36 gentoofan23 Exp $
depend() {
need net
use mysql postgresql slapd
provide jabber-server
}
stopJabberServices() {
eindent
for pidfile in /var/run/jabber/*.pid; do
if [ -f "${pidfile}" ]; then
service=$(basename ${pidfile} .pid)
ebegin "Stopping ${service}"
start-stop-daemon \
--stop \
--pidfile ${pidfile}
eend $?
fi
done
eoutdent
}
start() {
einfo "Starting Jabber Server ..."
local services
services=$(grep -v ^# /etc/jabber/jabberd.cfg | grep '..*' | awk '{print $1 ":" $2}')
eindent
for service in ${services}; do
cfgfile=$(echo ${service} | cut -d ':' -f 2)
service=$(echo ${service} | cut -d ':' -f 1)
if [ ! -f "${cfgfile}" ]; then
if [ -f "/etc/jabber/${service}.xml" ]; then
cfgfile="/etc/jabber/${service}.xml"
else
eerror "Can't find: ${cfgfile} or default /etc/jabber/${service}.xml"
stopJabberServices
return 1
fi
fi
executable=/usr/bin/${service}
if [ ! -f "${executable}" ]; then
eerror "Can't find executable: ${executable}"
stopJabberServices
return 1
fi
ebegin "Starting ${service} (${cfgfile})"
start-stop-daemon \
--background \
--start \
--chuid jabber:jabber \
--exec /usr/bin/${service} \
--pid /var/run/jabber/$(basename ${cfgfile%.xml}).pid \
-- -c ${cfgfile}
eend $?
done
eoutdent
}
stop() {
einfo "Stopping Jabber Server"
stopJabberServices
}

View File

@ -1,6 +0,0 @@
#%PAM-1.0
auth required pam_nologin.so
auth include system-auth
account include system-auth
session include system-auth

View File

@ -1,83 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/jabberd2/files/jabberd2-2.2.16.init,v 1.1 2009/05/08 15:24:09 gentoofan23 Exp $
depend() {
need net
use mysql postgresql slapd
provide jabber-server
}
stopJabberServices() {
eindent
for pidfile in /var/run/jabber/*.pid; do
if [ -f "${pidfile}" ]; then
service=$(basename ${pidfile} .pid)
ebegin "Stopping ${service}"
start-stop-daemon \
--stop \
--pidfile ${pidfile}
eend $?
fi
done
eoutdent
}
start() {
einfo "Starting Jabber Server ..."
local services
services=$(grep -v ^# /etc/jabber/jabberd.cfg | grep '..*' | awk '{print $1 ":" $2}')
eindent
if [ ! -d /var/run/jabber ] ; then
mkdir /var/run/jabber || die "Can't create run directory /var/run/jabber"
chown jabber:jabber /var/run/jabber
fi
for service in ${services}; do
cfgfile=$(echo ${service} | cut -d ':' -f 2)
service=$(echo ${service} | cut -d ':' -f 1)
if [ ! -f "${cfgfile}" ]; then
if [ -f "/etc/jabber/${service}.xml" ]; then
cfgfile="/etc/jabber/${service}.xml"
else
eerror "Can't find: ${cfgfile} or default /etc/jabber/${service}.xml"
stopJabberServices
return 1
fi
fi
executable=/usr/bin/${service}
if [ ! -f "${executable}" ]; then
eerror "Can't find executable: ${executable}"
stopJabberServices
return 1
fi
ebegin "Starting ${service} (${cfgfile})"
start-stop-daemon \
--background \
--start \
--user jabber:jabber \
--exec /usr/bin/${service} \
--pid /var/run/jabber/$(basename ${cfgfile%.xml}).pid \
-- -c ${cfgfile}
eend $?
done
eoutdent
}
stop() {
einfo "Stopping Jabber Server"
stopJabberServices
}

View File

@ -1,6 +0,0 @@
#%PAM-1.0
auth required pam_nologin.so
auth include system-auth
account include system-auth
session include system-auth

View File

@ -1,77 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/jabberd2/files/jabberd2-2.2.4.init,v 1.1 2008/09/15 01:33:55 gentoofan23 Exp $
depend() {
need net
use mysql postgresql slapd
provide jabber-server
}
stopJabberServices() {
eindent
for pidfile in /var/run/jabber/*.pid; do
if [ -f "${pidfile}" ]; then
service=$(basename ${pidfile} .pid)
ebegin "Stopping ${service}"
start-stop-daemon \
--stop \
--pidfile ${pidfile}
eend $?
fi
done
eoutdent
}
start() {
einfo "Starting Jabber Server ..."
local services
services=$(grep -v ^# /etc/jabber/jabberd.cfg | grep '..*' | awk '{print $1 ":" $2}')
eindent
for service in ${services}; do
cfgfile=$(echo ${service} | cut -d ':' -f 2)
service=$(echo ${service} | cut -d ':' -f 1)
if [ ! -f "${cfgfile}" ]; then
if [ -f "/etc/jabber/${service}.xml" ]; then
cfgfile="/etc/jabber/${service}.xml"
else
eerror "Can't find: ${cfgfile} or default /etc/jabber/${service}.xml"
stopJabberServices
return 1
fi
fi
executable=/usr/bin/${service}
if [ ! -f "${executable}" ]; then
eerror "Can't find executable: ${executable}"
stopJabberServices
return 1
fi
ebegin "Starting ${service} (${cfgfile})"
start-stop-daemon \
--background \
--start \
--chuid jabber:jabber \
--exec /usr/bin/${service} \
--pid /var/run/jabber/$(basename ${cfgfile%.xml}).pid \
-- -c ${cfgfile}
eend $?
done
eoutdent
}
stop() {
einfo "Stopping Jabber Server"
stopJabberServices
}

View File

@ -1,6 +0,0 @@
#%PAM-1.0
auth required pam_nologin.so
auth include system-auth
account include system-auth
session include system-auth

View File

@ -1,77 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/jabberd2/files/jabberd2-2.2.5.init,v 1.1 2009/01/24 14:53:23 kingtaco Exp $
depend() {
need net
use mysql postgresql slapd
provide jabber-server
}
stopJabberServices() {
eindent
for pidfile in /var/run/jabber/*.pid; do
if [ -f "${pidfile}" ]; then
service=$(basename ${pidfile} .pid)
ebegin "Stopping ${service}"
start-stop-daemon \
--stop \
--pidfile ${pidfile}
eend $?
fi
done
eoutdent
}
start() {
einfo "Starting Jabber Server ..."
local services
services=$(grep -v ^# /etc/jabber/jabberd.cfg | grep '..*' | awk '{print $1 ":" $2}')
eindent
for service in ${services}; do
cfgfile=$(echo ${service} | cut -d ':' -f 2)
service=$(echo ${service} | cut -d ':' -f 1)
if [ ! -f "${cfgfile}" ]; then
if [ -f "/etc/jabber/${service}.xml" ]; then
cfgfile="/etc/jabber/${service}.xml"
else
eerror "Can't find: ${cfgfile} or default /etc/jabber/${service}.xml"
stopJabberServices
return 1
fi
fi
executable=/usr/bin/${service}
if [ ! -f "${executable}" ]; then
eerror "Can't find executable: ${executable}"
stopJabberServices
return 1
fi
ebegin "Starting ${service} (${cfgfile})"
start-stop-daemon \
--background \
--start \
--chuid jabber:jabber \
--exec /usr/bin/${service} \
--pid /var/run/jabber/$(basename ${cfgfile%.xml}).pid \
-- -c ${cfgfile}
eend $?
done
eoutdent
}
stop() {
einfo "Stopping Jabber Server"
stopJabberServices
}

View File

@ -1,6 +0,0 @@
#%PAM-1.0
auth required pam_nologin.so
auth include system-auth
account include system-auth
session include system-auth

View File

@ -1,77 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/jabberd2/files/jabberd2-2.2.8.init,v 1.1 2009/05/08 15:24:09 gentoofan23 Exp $
depend() {
need net
use mysql postgresql slapd
provide jabber-server
}
stopJabberServices() {
eindent
for pidfile in /var/run/jabber/*.pid; do
if [ -f "${pidfile}" ]; then
service=$(basename ${pidfile} .pid)
ebegin "Stopping ${service}"
start-stop-daemon \
--stop \
--pidfile ${pidfile}
eend $?
fi
done
eoutdent
}
start() {
einfo "Starting Jabber Server ..."
local services
services=$(grep -v ^# /etc/jabber/jabberd.cfg | grep '..*' | awk '{print $1 ":" $2}')
eindent
for service in ${services}; do
cfgfile=$(echo ${service} | cut -d ':' -f 2)
service=$(echo ${service} | cut -d ':' -f 1)
if [ ! -f "${cfgfile}" ]; then
if [ -f "/etc/jabber/${service}.xml" ]; then
cfgfile="/etc/jabber/${service}.xml"
else
eerror "Can't find: ${cfgfile} or default /etc/jabber/${service}.xml"
stopJabberServices
return 1
fi
fi
executable=/usr/bin/${service}
if [ ! -f "${executable}" ]; then
eerror "Can't find executable: ${executable}"
stopJabberServices
return 1
fi
ebegin "Starting ${service} (${cfgfile})"
start-stop-daemon \
--background \
--start \
--chuid jabber:jabber \
--exec /usr/bin/${service} \
--pid /var/run/jabber/$(basename ${cfgfile%.xml}).pid \
-- -c ${cfgfile}
eend $?
done
eoutdent
}
stop() {
einfo "Stopping Jabber Server"
stopJabberServices
}

View File

@ -1,6 +0,0 @@
#%PAM-1.0
auth required pam_nologin.so
auth include system-auth
account include system-auth
session include system-auth

View File

@ -1,120 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
WANT_AUTOCONF="latest"
WANT_AUTOMAKE="latest"
inherit autotools db-use eutils flag-o-matic pam
DESCRIPTION="Open Source Jabber Server"
HOMEPAGE="http://jabberd2.org/"
SRC_URI="http://github.com/${PN}/${PN}/archive/jabberd-${PV}.tar.gz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="berkdb debug memdebug mysql ldap pam postgres sqlite ssl zlib"
DEPEND="dev-libs/expat
dev-util/cppunit
net-libs/udns
>=net-dns/libidn-0.3
virtual/gsasl
berkdb? ( >=sys-libs/db-4.1.25 )
mysql? ( virtual/mysql )
ldap? ( >=net-nds/openldap-2.1.0 )
pam? ( virtual/pam )
postgres? ( dev-db/postgresql-base )
ssl? ( >=dev-libs/openssl-0.9.6b )
sqlite? ( >=dev-db/sqlite-3 )
zlib? ( sys-libs/zlib )"
RDEPEND="${DEPEND}
>=net-im/jabber-base-0.01
!net-im/jabberd"
S="${WORKDIR}/${PN}-jabberd-${PV}"
src_prepare() {
eautoreconf
eautomake
}
src_configure() {
# https://bugs.gentoo.org/show_bug.cgi?id=207655#c3
replace-flags -O[3s] -O2
use berkdb && myconf="${myconf} --with-extra-include-path=$(db_includedir)"
if use debug; then
myconf="${myconf} --enable-debug"
# --enable-pool-debug is currently broken
use memdebug && myconf="${myconf} --enable-nad-debug"
else
if use memdebug; then
ewarn
ewarn '"memdebug" requires "debug" enabled.'
ewarn
fi
fi
econf \
--sysconfdir=/etc/jabber \
--enable-fs --enable-pipe --enable-anon \
${myconf} \
$(use_enable berkdb db) \
$(use_enable ldap) \
$(use_enable mysql) \
$(use_enable pam) \
$(use_enable postgres pgsql) \
$(use_enable sqlite) \
$(use_enable ssl) \
$(use_with zlib)
}
src_compile() {
emake || die "make failed"
}
src_install() {
emake DESTDIR="${D}" install || die "make install failed"
fowners jabber:jabber /usr/bin/{jabberd,router,sm,c2s,s2s}
fperms 750 /usr/bin/{jabberd,router,sm,c2s,s2s}
newinitd "${FILESDIR}/${P}.init" jabberd || die "newinitd failed"
newpamd "${FILESDIR}/${P}.pamd" jabberd || die "newpamd failed"
dodoc AUTHORS README UPGRADE
docinto tools
dodoc tools/db-setup{.mysql,.pgsql,.sqlite}
dodoc tools/{migrate.pl,pipe-auth.pl}
cd "${D}/etc/jabber/"
sed -i \
-e 's,/var/lib/jabberd/pid/,/var/run/jabber/,g' \
-e 's,/var/lib/jabberd/log/,/var/log/jabber/,g' \
-e 's,/var/lib/jabberd/db,/var/spool/jabber/,g' \
*.xml *.xml.dist || die "sed failed"
sed -i \
-e 's,<module>mysql</module>,<module>db</module>,' \
c2s.xml* || die "sed failed"
sed -i \
-e 's,<driver>mysql</driver>,<driver>db</driver>,' \
sm.xml* || die "sed failed"
}
pkg_postinst() {
if use pam; then
echo
ewarn 'Jabberd-2 PAM authentication requires your unix usernames to'
ewarn 'be in the form of "contactname@jabberdomain". This behavior'
ewarn 'is likely to change in future versions of jabberd-2. It may'
ewarn 'be advisable to avoid PAM authentication for the time being.'
echo
fi
}

View File

@ -1,9 +0,0 @@
AUX pymsn-t-0.11.3-delete-reactor.patch 361 SHA256 d989d06d9e94f1a2786dfa51e1cf715e4dc0db95583b08ce606b555aef017bae SHA512 5d94633a614138d760bea4447038d99e7177eb96d44d00b2a496c0773dace54780eb0050b9f179bb5039cbf8b26be67462ac5acd631aac856f4e88393ac40755 WHIRLPOOL 7f326b8e2fd0379144b4d44a2d0fd5b6fd7b2ead06da22726c17d1b93336d4d914835fe7c12e754475f9847891b2d91a7db16f32cf1ccc0eb4362e54b2bffbe1
AUX pymsn-t-0.11.3-protocol-version.patch 609 SHA256 008aedc95f1c2020a156d941c74784ca1385f12426342885fa7ff8474365b5a3 SHA512 ea5b4956d4b848f8d637b36069e2bec0b6bfdba94aabcaecf83388d2806ec740b789440f00dff93e3b091379c8bf3953268f4fd94a86c211bb48a4fa2fd9174e WHIRLPOOL 6cdb67433e196201db21877b0c3431fc97feaf61f61e3491df6986fe3467d657c5da8bfdb51cdf81429b6fb21e18dc833984e8d74c6382d5a69033e8a51a6270
AUX pymsn-t-0.11.3-remove-pid.patch 1173 SHA256 b4a09f2af01f752a2703d14204cb954a0641afedb1be391f1b9f6f980b234845 SHA512 b151e827b62e49b4d91966a2019d26cad8076a335dd263a3bb00f13b8bfb4bddcf9c5f7d0683d14a967e67f469ad2ff540b10c2c1ffc4f8ebef94a4feb26e0d5 WHIRLPOOL 56a1c85f9d78e3171484a17de8eb0e2151e42aecb43f282c8c097f09912ceaecb3b99bc3ef9776409b798a27ba09c85ab9b0237b2494a51c1ca90f6edf710e16
AUX pymsn-t-0.11.3-twisted-12.3-daemonize.patch 324 SHA256 770e860d6224ceb8c65299928b14767d1966155685d895cc04d2b31c9f7544fd SHA512 08b8d8d4efc1b7c6213bc49173246401b8186d46cb6081cc9793e1a2eed204546c1753608875d1a605805fd832623989ba1cdac2cc178cab124bcff6fc9ffe8e WHIRLPOOL fc508c9706d9fd479479f1b4fc7e2bc9419da85ef27bbb125fc4e32201a28a20d3c1996b3ff98eeac32764a1f152800c479afd051731521bd4ea1b2bb006ae35
AUX pymsn-t-0.11.3-unexpected-xfr.patch 1984 SHA256 0407e9e69684275b11d404e77e9b70e694e461d4c9891ee3c7d79717999a84e9 SHA512 5ab2b6a577ff835338724add6befb4394a2f85ba521a3dad543d501980ef3b7cb1a930a966b2b898166e7473972da624d683072f2e3f687991e07ebaa4157195 WHIRLPOOL c9323c1c51776e4e0d8fc6b18d635c693ee0a7825bb624d0d41532819862a1553501655360b682ac1c0b4eb1004cc5564b7267f4cb4435f0fc7db8c81a2268e6
AUX pymsn-t-0.11.3-use-non-deprecated-hashlib.patch 4605 SHA256 12004937d29e090e147ddd8f7aa5ae7e615a5df27c4db6a7b28824859937dd27 SHA512 7ec0f9f4c111ab2a43b9bf4ad1a5cb1b07174d0e3063cdbe86961a72a535c231d5f3f972b43e492afa8ebc7af32d27884d40a39a8a227187f3bf5cadb17272b6 WHIRLPOOL f51aad356f9350bfb47ec88b4447c63345d0ff01ae91ab587182bec60398e1b26bbb3e6cdf6b90036dea620fabc4a732de4408bb16c0cdd80c6197667a1e56b8
AUX pymsn-t-initd 670 SHA256 557dc37a1c51b03188623e3b4fd0329eea87ee4428bb397439359656daa3d431 SHA512 683089271c42556db2e2b817ad469a1a4b1ebd687279233178f28f56c542f00a4679fd8cd9430664c9bdd2e670e4f86f5682a6cf7621a31b773254043c6e8f27 WHIRLPOOL acdda704c13bb71fecd97f4e49ce242f285c269a7ff9ad590a4b3157a4739420985e44824a31ed345a0a3bc6d41b27d6a25883c1ff730c4d26caacfd8896fb3c
DIST pymsnt-0.11.3.tar.gz 162549 SHA256 777195feb6a70b683d691c54269099d319747fad7195cca36d86df366360ce2c SHA512 57ed58c51ddaceb877e22c0703f59299fd1e75add6de9b6d937025a12f9ea669c24c8de70a5995500101a0537dd3549676df475d87df63ec29d6c773a2a31563 WHIRLPOOL f5af4d65f6e8d193ecef07739c29b30e841f4f7fb32c972a9c58e6550700da3c0ae3fdfa3bb9d077e7369b05f0582ab305f76c593c6457d43fa5455caa7386bb
EBUILD pymsn-t-0.11.3-r3.ebuild 2132 SHA256 59a70aaf53039c15d17125bdac55dd796528ffc08ebc14c629263dc3b8153a0b SHA512 5264473f449b4e7942602e6a5de4c17b739ad249ed8f0b0b15d6bb62df66fc5e8496ca6e1b4259eebd2b0e78b7122d804bc837a42673b7ca91323f943075279d WHIRLPOOL 21940c6569a539c0518cc70c4e0d191e47ba0aa2706856590d70104939364b94ff227bbf60d29d5673e7efbb317af1e0eb37674c5cc8bb80424c2d93bc468509

View File

@ -1,10 +0,0 @@
--- pymsn-t/src/main.py 2008-09-19 10:53:30.000000000 +0200
+++ pymsn-t/src/main.py 2008-09-19 10:55:55.000000000 +0200
@@ -72,7 +72,6 @@
if config.reactor:
# They picked their own reactor. Lets install it.
- del sys.modules["twisted.internet.reactor"]
if config.reactor == "epoll":
from twisted.internet import epollreactor
epollreactor.install()

View File

@ -1,12 +0,0 @@
diff -a -u -d -r pymsnt.a/src/legacy/msn/msn.py pymsnt.b/src/legacy/msn/msn.py
--- pymsnt.a/src/legacy/msn/msn.py 2008-02-08 16:55:07.000000000 +0300
+++ pymsnt.b/src/legacy/msn/msn.py 2008-08-05 20:40:46.000000000 +0400
@@ -110,7 +110,7 @@
from urllib import quote, unquote
-MSN_PROTOCOL_VERSION = "MSNP11 CVR0" # protocol version
+MSN_PROTOCOL_VERSION = "MSNP11" # protocol version
MSN_PORT = 1863 # default dispatch server port
MSN_MAX_MESSAGE = 1664 # max message length
MSN_CVR_STR = "0x040c winnt 5.1 i386 MSNMSGR 7.0.0777 msmsgs"

View File

@ -1,41 +0,0 @@
--- pymsn-t/src/main.py 2008-04-04 17:45:43.000000000 +0400
+++ pymsn-t/src/main.py 2008-08-05 17:44:17.000000000 +0400
@@ -91,6 +91,7 @@
from twisted.words.xish.domish import Element
from twisted.words.protocols.jabber import component
from twisted.words.protocols.jabber.jid import internJID
+from twisted.python import log
from debug import LogEvent, INFO, WARN, ERROR
@@ -352,13 +353,29 @@
pf = open(config.pid, "w")
pf.write("%s\n" % pid)
pf.close()
+
+ def removePID(self, pidfile):
+ # Remove a PID file
+ if not pidfile:
+ return
+ try:
+ os.unlink(pidfile)
+ except OSError, e:
+ if e.errno == errno.EACCES or e.errno == errno.EPERM:
+ log.msg("Warning: No permission to delete pid file")
+ else:
+ log.msg("Failed to unlink PID file:")
+ log.deferr()
+ except:
+ log.msg("Failed to unlink PID file:")
+ log.deferr()
def shuttingDown(self):
self.transportSvc.removeMe()
# Keep the transport running for another 3 seconds
def cb(ignored=None):
if config.pid:
- twistd.removePID(config.pid)
+ self.removePID(config.pid)
d = Deferred()
d.addCallback(cb)
reactor.callLater(3.0, d.callback, None)

View File

@ -1,11 +0,0 @@
--- src/main.py~ 2008-02-08 14:55:07.000000000 +0100
+++ src/main.py 2013-09-09 10:29:35.003933282 +0200
@@ -328,7 +328,7 @@
# Daemonise the process and write the PID file
if config.background and os.name == "posix":
- twistd.daemonize()
+ twistd.daemonize(reactor, os)
if config.pid:
self.writePID()

View File

@ -1,44 +0,0 @@
--- pymsn-t/src/legacy/glue.py 2008-09-19 10:53:30.000000000 +0200
+++ pymsn-t/src/legacy/glue.py 2008-09-19 10:52:38.000000000 +0200
@@ -379,7 +379,13 @@
self.session.removeMe()
def connectionLost(self, reason):
- LogEvent(INFO, self.jabberID)
+ LogEvent(INFO, self.jabberID)
+ # If we got a second referral, don't really log out but let the next NS
+ # try to log us in
+ if reason.type == error.ConnectionDone and self.gotadditionalXFR != 0:
+ LogEvent(INFO, self.ident)
+ self.gotadditionalXFR = 0
+ return
if reason.type != error.ConnectionDone:
text = lang.get(self.session.lang).msnDisconnected % reason
self.session.sendMessage(to=self.jabberID, fro=config.jid, body=text)
--- pymsn-t/src/legacy/msn/msn.py 2008-09-19 10:53:30.000000000 +0200
+++ pymsn-t/src/legacy/msn/msn.py 2008-09-19 10:52:38.000000000 +0200
@@ -1347,7 +1347,9 @@
port = MSN_PORT
if not self._fireCallback(id, host, int(port), params[4]):
- raise MSNProtocolError, "Got XFR (referral) that I didn't ask for .. should this happen?" # debug
+ #raise MSNProtocolError, "Got XFR (referral) that I didn't ask for .. should this happen?" # debug
+ self.factory.msncon.gotadditionalXFR = 1
+ self.factory.msncon.connectors.append(reactor.connectTCP(host, int(port), self.factory, bindAddress=(self.factory.msncon.BINDADDRESS, 0)))
def handle_RNG(self, params):
checkParamLen(len(params), 6, 'RNG')
--- pymsn-t/src/legacy/msn/msnw.py 2008-09-19 10:53:30.000000000 +0200
+++ pymsn-t/src/legacy/msn/msnw.py 2008-09-19 10:52:38.000000000 +0200
@@ -67,8 +67,9 @@
LogEvent(INFO, self.ident)
def _gotNotificationReferral(self, (host, port)):
- self.timeout.cancel()
- self.timeout = None
+ if self.timeout != None:
+ self.timeout.cancel()
+ self.timeout = None
# Create the NotificationClient
self.notificationFactory = msn.NotificationFactory()
self.notificationFactory.userHandle = self.username

View File

@ -1,142 +0,0 @@
diff -Naur pymsnt-0.11.3/src/avatar.py pymsnt-0.11.3-1/src/avatar.py
--- pymsnt-0.11.3/src/avatar.py 2008-02-08 14:55:07.000000000 +0100
+++ pymsnt-0.11.3-1/src/avatar.py 2011-09-04 13:40:02.350321866 +0200
@@ -6,7 +6,12 @@
from twisted.internet import reactor
from twisted.words.xish.domish import Element
-import sha, base64, os, os.path
+import base64, os, os.path
+
+try:
+ from hashlib import sha1
+except ImportError:
+ from sha import sha as sha1
import utils
import config
@@ -34,7 +39,7 @@
class Avatar:
""" Represents an Avatar. Does not store the image in memory. """
def __init__(self, imageData, avatarCache):
- self.__imageHash = sha.sha(imageData).hexdigest()
+ self.__imageHash = sha1(imageData).hexdigest()
self.__avatarCache = avatarCache
def getImageHash(self):
diff -Naur pymsnt-0.11.3/src/legacy/msn/msnp11chl.py pymsnt-0.11.3-1/src/legacy/msn/msnp11chl.py
--- pymsnt-0.11.3/src/legacy/msn/msnp11chl.py 2008-02-08 14:55:07.000000000 +0100
+++ pymsnt-0.11.3-1/src/legacy/msn/msnp11chl.py 2011-09-04 13:40:02.351321854 +0200
@@ -1,16 +1,20 @@
# Copyright 2005 James Bunton <james@delx.cjb.net>
# Licensed for distribution under the GPL version 2, check COPYING for details
-import md5
import struct
+try:
+ from hashlib import md5
+except ImportError:
+ from md5 import md5
+
MSNP11_PRODUCT_ID = "PROD0090YUAUV{2B"
MSNP11_PRODUCT_KEY = "YMM8C_H7KCQ2S_KL"
MSNP11_MAGIC_NUM = 0x0E79A9C1
def doChallenge(chlData):
- md5digest = md5.md5(chlData + MSNP11_PRODUCT_KEY).digest()
+ md5digest = md5(chlData + MSNP11_PRODUCT_KEY).digest()
# Make array of md5 string ints
md5Ints = struct.unpack("<llll", md5digest)
diff -Naur pymsnt-0.11.3/src/legacy/msn/msn.py pymsnt-0.11.3-1/src/legacy/msn/msn.py
--- pymsnt-0.11.3/src/legacy/msn/msn.py 2008-02-08 14:55:07.000000000 +0100
+++ pymsnt-0.11.3-1/src/legacy/msn/msn.py 2011-09-04 13:40:02.351321854 +0200
@@ -106,9 +106,12 @@
# System imports
-import types, operator, os, sys, base64, random, struct, random, sha, base64, StringIO, array, codecs, binascii
+import types, operator, os, sys, base64, random, struct, random, base64, StringIO, array, codecs, binascii
from urllib import quote, unquote
-
+try:
+ from hashlib import sha1
+except ImportError:
+ from sha import sha as sha1
MSN_PROTOCOL_VERSION = "MSNP11 CVR0" # protocol version
MSN_PORT = 1863 # default dispatch server port
@@ -490,7 +493,7 @@
self.type = 3
self.location = "TMP" + str(random.randint(1000,9999))
self.friendly = "AAA="
- self.sha1d = b64enc(sha.sha(imageData).digest())
+ self.sha1d = b64enc(sha1(imageData).digest())
self.makeText()
def setNull(self):
@@ -518,7 +521,7 @@
h.append(self.friendly)
h.append("SHA1D")
h.append(self.sha1d)
- sha1c = b64enc(sha.sha("".join(h)).digest())
+ sha1c = b64enc(sha1("".join(h)).digest())
self.text = '<msnobj Creator="%s" Size="%s" Type="%s" Location="%s" Friendly="%s" SHA1D="%s" SHA1C="%s"/>' % (self.creator, str(self.size), str(self.type), self.location, self.friendly, self.sha1d, sha1c)
def parse(self, s):
diff -Naur pymsnt-0.11.3/src/utils.py pymsnt-0.11.3-1/src/utils.py
--- pymsnt-0.11.3/src/utils.py 2008-02-08 14:55:07.000000000 +0100
+++ pymsnt-0.11.3-1/src/utils.py 2011-09-04 13:40:02.351321854 +0200
@@ -1,17 +1,17 @@
# Copyright 2004-2005 James Bunton <james@delx.cjb.net>
# Licensed for distribution under the GPL version 2, check COPYING for details
+try:
+ from hashlib import sha1
+except ImportError:
+ from sha import sha as sha1
+def socks5Hash(sid, initiator, target):
+ return sha1("%s%s%s" % (sid, initiator, target)).hexdigest()
def getLang(el):
return el.getAttribute((u'http://www.w3.org/XML/1998/namespace', u'lang'))
-
-import sha
-def socks5Hash(sid, initiator, target):
- return sha.new("%s%s%s" % (sid, initiator, target)).hexdigest()
-
-
import urllib
import os.path
def getURLBits(url, assumedType=None):
diff -Naur pymsnt-0.11.3/src/xdb.py pymsnt-0.11.3-1/src/xdb.py
--- pymsnt-0.11.3/src/xdb.py 2008-02-08 14:55:07.000000000 +0100
+++ pymsnt-0.11.3-1/src/xdb.py 2011-09-04 13:40:02.351321854 +0200
@@ -6,9 +6,13 @@
import os
import os.path
import shutil
-import md5
import config
+try:
+ from hashlib import md5
+except ImportError:
+ from md5 import md5
+
X = os.path.sep
SPOOL_UMASK = 0077
@@ -23,7 +27,7 @@
return file.replace("@", "%")
def makeHash(file):
- return md5.md5(file).hexdigest()[0:3]
+ return md5(file).hexdigest()[0:3]
class XDB:

View File

@ -1,23 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/pymsn-t/files/pymsn-t-initd,v 1.1 2011/09/04 10:26:35 hanno Exp $
depend() {
need net
use jabber-server
}
start() {
ebegin "Starting MSN Jabber Transport"
start-stop-daemon --start --pidfile /var/run/jabber/pymsn-t.pid -u jabber -g jabber \
--exec /usr/bin/python INSPATH/pymsn-t.py -- \
-b -c /etc/jabber/pymsn-t.xml -l /var/log/jabber/pymsn-t.log
eend $?
}
stop() {
ebegin "Stopping MSN Jabber Transport"
start-stop-daemon --stop --quiet --pidfile /var/run/jabber/pymsn-t.pid
eend $?
}

View File

@ -1,79 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/pymsn-t/pymsn-t-0.11.3-r3.ebuild,v 1.5 2013/08/03 09:45:38 mgorny Exp $
EAPI="3"
PYTHON_DEPEND="2"
inherit eutils multilib python
MY_PN="pymsnt"
S=${WORKDIR}/${MY_PN}-${PV}
DESCRIPTION="Python based jabber transport for MSN"
HOMEPAGE="http://msn-transport.jabberstudio.org/"
SRC_URI="http://msn-transport.jabberstudio.org/tarballs/${MY_PN}-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
IUSE=""
DEPEND="net-im/jabber-base"
RDEPEND="${DEPEND}
>=dev-python/twisted-core-2.5.0
>=dev-python/twisted-words-0.5.0
>=dev-python/twisted-web-0.7.0
>=dev-python/imaging-1.1"
pkg_setup() {
python_set_active_version 2
python_pkg_setup
}
src_prepare() {
epatch "${FILESDIR}/${P}-protocol-version.patch"
epatch "${FILESDIR}/${P}-unexpected-xfr.patch"
epatch "${FILESDIR}/${P}-remove-pid.patch"
epatch "${FILESDIR}/${P}-delete-reactor.patch"
epatch "${FILESDIR}/${P}-use-non-deprecated-hashlib.patch"
epatch "${FILESDIR}/${P}-twisted-12.3-daemonize.patch"
}
src_install() {
local inspath
inspath=$(python_get_sitedir)/${PN}
insinto ${inspath}
doins -r data src
newins PyMSNt.py ${PN}.py
insinto /etc/jabber
newins config-example.xml ${PN}.xml
fperms 600 /etc/jabber/${PN}.xml
fowners jabber:jabber /etc/jabber/${PN}.xml
dosed \
"s:<!-- <spooldir>[^\<]*</spooldir> -->:<spooldir>/var/spool/jabber</spooldir>:" \
/etc/jabber/${PN}.xml
dosed \
"s:<pid>[^\<]*</pid>:<pid>/var/run/jabber/${PN}.pid</pid>:" \
/etc/jabber/${PN}.xml
dosed \
"s:<host>[^\<]*</host>:<host>example.org</host>:" \
/etc/jabber/${PN}.xml
dosed \
"s:<jid>msn</jid>:<jid>msn.example.org</jid>:" \
/etc/jabber/${PN}.xml
newinitd "${FILESDIR}/${PN}-initd" ${PN}
dosed "s:INSPATH:${inspath}:" /etc/init.d/${PN}
}
pkg_postinst() {
python_mod_optimize ${PN}
elog "A sample configuration file has been installed in /etc/jabber/${PN}.xml."
elog "Please edit it and the configuration of your Jabber server to match."
}
pkg_postrm() {
python_mod_cleanup ${PN}
}